package com.usky.backend.client;

import com.usky.backend.domain.StatusVO;
import com.usky.backend.domain.request.LastQueryVo;
import com.usky.backend.domain.response.LastResultVo;
import com.usky.common.core.bean.ApiResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@FeignClient(contextId = "dataQueryClient", value = "usky-backend")
public interface DataQueryClient {

    @RequestMapping(value = "status")
    List<StatusVO> status();
}
