package com.usky.backend.domain.response;

import com.usky.backend.domain.MetricItemVo;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class HistoryResultVo implements Serializable {

   private static final long serialVersionUID = 8837428366010205858L;

   private String deviceId;
   private String metric;
   private List<MetricItemVo> metricItems;

   public HistoryResultVo(String deviceId, String metric, List<MetricItemVo> metricItems) {
      this.deviceId = deviceId;
      this.metric = metric;
      this.metricItems = metricItems;
   }

//   public static class MetricItem implements Serializable {
//      private static final long serialVersionUID = 6319020786538254074L;
//      private Date timestamp;
//      private Object value;
//
//      public MetricItem() {
//      }
//
//      public MetricItem(Date timestamp, Object value) {
//         this.timestamp = timestamp;
//         this.value = value;
//      }
//
//      public Date getTimestamp() {
//         return timestamp;
//      }
//
//      public void setTimestamp(Date timestamp) {
//         this.timestamp = timestamp;
//      }
//
//      public Object getValue() {
//         return value;
//      }
//
//      public void setValue(Object value) {
//         this.value = value;
//      }
//   }
}
