package com.usky.backend.domain.response;

import com.usky.backend.domain.MetricItemVo;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

@Data
public class LastResultVo implements Serializable {

    private static final long serialVersionUID = 8837428366010205859L;

    private String metric;
    private LocalDateTime timestamp;
    private Object value;

    public LastResultVo(String metric, LocalDateTime timestamp, Object value) {
        this.metric = metric;
        this.timestamp = timestamp;
        this.value = value;
    }
}
