package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.service.BaseCompanyAttach1Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 联网单位信息附表1 前端控制器
 * </p>
 *
 * @author JCB
 * @since 2022-09-20
 */
@RestController
@RequestMapping("/baseCompanyAttach1")
public class BaseCompanyAttach1Controller {

    @Autowired
    private BaseCompanyAttach1Service baseCompanyAttach1Service;

    @GetMapping("streetTownList")
    public ApiResult<Void> streetTownList() {
        baseCompanyAttach1Service.streetTownList();
        return ApiResult.success();
    }

}

