package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.domain.BaseCompanyChange;
import com.usky.fire.service.BaseCompanyChangeService;
import com.usky.fire.service.vo.CompanyDataVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 单位信息变更表 前端控制器
 * </p>
 *
 * @author han
 * @since 2023-02-23
 */
@RestController
@RequestMapping("/baseCompanyChange")
public class BaseCompanyChangeController {
    @Autowired
    private BaseCompanyChangeService baseCompanyChangeService;
    /**
     * 变更记录-单位ID查询
     *
     * @param companyId   单位ID
     * @return
     */
    @GetMapping("baseCompanyChangeOne")
    public ApiResult<List<BaseCompanyChange>> baseCompanyChangeOne(@RequestParam(value = "companyId", required = false) String companyId) {
        return ApiResult.success(baseCompanyChangeService.baseCompanyChangeOne(companyId));
    }
}

