package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.domain.DemFireStation;
import com.usky.fire.domain.DemHighRise;
import com.usky.fire.service.DemFireStationService;
import com.usky.fire.service.DemHighRiseService;
import com.usky.fire.service.vo.DemFireStationVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

import java.util.List;

/**
 * <p>
 * 消防站 前端控制器
 * </p>
 *
 * @author han
 * @since 2023-03-31
 */
@RestController
@RequestMapping("/demFireStation")
public class DemFireStationController {
    @Autowired
    private DemFireStationService demFireStationService;
    /**
     * 消防站-撒点
     *
     * @param demFireStationVO
     * @return
     */
    @PostMapping("demFireStationList")
    public ApiResult<List<DemFireStation>> demFireStationList(@RequestBody DemFireStationVO demFireStationVO) {
        return ApiResult.success(demFireStationService.demFireStationList(demFireStationVO));
    }
}

