package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 企业大屏数据统计
 * </p>
 *
 * @author JCB
 * @since 2022-09-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BscEnterpriseScreen implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 自主巡检情况
     */
    private String patrolInspection;

    /**
     * 值班查岗情况
     */
    private String postInspect;

    /**
     * 火灾告警报告
     */
    private String fireAlarm;

    /**
     * 预案场景
     */
    private String reservePlan;

    /**
     * 隐患处置情况
     */
    private String hiddenDanger;

    /**
     * 建筑评分模块
     */
    private String buildScore;

    /**
     * 单位ID
     */
    private String companyId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;


}
