package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 消防执法动态大屏统计
 * </p>
 *
 * @author JCB
 * @since 2022-10-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BscLawTrend implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 当月执法情况
     */
    private String monthLaw;

    /**
     * 行政许可情况
     */
    private String adstraLicense;

    /**
     * 消防隐患举报投诉
     */
    private String reportComplaint;

    /**
     * 投诉处理情况
     */
    private String complaintHandle;

    /**
     * 监督检查举报投诉信息
     */
    private String enforceReportComplaint;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;


}
