package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author JCB
 * @since 2022-07-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolInspectionContent implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 巡检内容信息表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 内容标题
     */
    private String contentTitle;

    /**
     * 内容描述
     */
    private String contentDescribe;

    /**
     * 提交方式
     */
    private Integer submissionMethod;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 使能标识（0 不生效，1 生效）
     */
    private Integer enable;

    /**
     * 单位ID
     */
    private Integer companyId;


}
