package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author JCB
 * @since 2022-07-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolInspectionContentOption implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 内容选项信息表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 内容标题
     */
    private String optionName;

    /**
     * 内容ID
     */
    private Integer contentId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 使能标识（0 不生效，1 生效）
     */
    private Integer enable;

    /**
     * 是否勾选（true 选中 false 未选中）
     */
    @TableField(exist = false)
    private Boolean selectStatus;

    /**
     * 备注
     */
    @TableField(exist = false)
    private String remarks;

    /**
     * 内容
     */
    @TableField(exist = false)
    private String content;

}
