package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 记录上传图片关联表
 * </p>
 *
 * @author JCB
 * @since 2022-07-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolInspectionRecordPicture implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 记录上传图片关联表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 巡检记录ID
     */
    private Integer recordId;

    /**
     * 图片路径
     */
    private String pictureUrl;


}
