package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author JCB
 * @since 2022-11-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SpOwnerCompany implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单位编号
     */
    private String ownerId;

    /**
     * 单位名称
     */
    private String ownerName;

    private String ownerAddress;

    /**
     * 街道
     */
    private String ownerOffice;

    private String ownerMan;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建人
     */
    private String createMan;

    /**
     * 所属建筑id
     */
    private String buildingId;

    /**
     * 交通，办公，酒店旅馆,
     */
    private String xmlx;

    /**
     * rtmp协议地址
     */
    private String rtmp;

    /**
     * hls协议地址
     */
    private String hls;

    /**
     * 微信视频地址
     */
    private String h5;

    private String data1;

    private String data2;

    private String data3;

    /**
     * 联系人（责任人）
     */
    private String contacts;

    /**
     * 联系人手机号
     */
    private String contactsPhone;


}
