package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备心跳表
 * </p>
 *
 * @author JCB
 * @since 2022-11-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TbInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 设备本地注册唯一编码
     */
    private String deviceId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 心跳时间
     */
    private LocalDateTime alarmTime;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 心跳内容
     */
    private String alarmContent;

    /**
     * 心跳状态
     */
    private Integer alarmStatus;

    /**
     * 备注
     */
    private String remark;

    /**
     * 类型
     */
    private Integer alarmType;


}
