package com.usky.fire.domain;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author ya
 * @since 2021-11-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class WaterAj implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 案件编号
     */
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    /**
     * 发生时间
     */
    private Date createTime;

    /**
     * 案件类型
     */
    private String ajType;

    /**
     * 所属街道
     */
    private String street;

    /**
     * 案发地址
     */
    private String address;

    /**
     * 网格
     */
    private String grid;

    /**
     * 案件描述
     */
    private String ajDescribe;

    /**
     * 责任部门
     */
    private String dutyGroup;

    /**
     * 0立案1派遣2处理3结案
     */
    private Integer ajFlag;

    /**
     * 截止时间
     */
    private Date endTime;

    /**
     * 附件(非必要)
     */
    private String enclosure;

    /**
     * 图片(非必要)
     */
    private String image;
    /**
     * 设备编号
     */
    private String deviceCode;


}
