package com.usky.fire.mapper;

import com.usky.fire.domain.BaseCompany;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.fire.service.vo.DemFireReformVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 联网单位信息表 Mapper 接口
 * </p>
 *
 * @author JCB
 * @since 2022-08-23
 */
@Repository
public interface BaseCompanyMapper extends CrudMapper<BaseCompany> {
    List<BaseCompany> companyNameList(@Param("companyIdList") String[] companyIdList);
}
