package com.usky.fire.mapper;

import com.usky.common.mybatis.core.CrudMapper;
import com.usky.fire.domain.DemEnforceReportAttach;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 监督检查举报投诉信息附表 Mapper 接口
 * </p>
 *
 * @author JCB
 * @since 2022-09-23
 */
@Repository
public interface DemEnforceReportAttachMapper extends CrudMapper<DemEnforceReportAttach> {

    Integer selectCount1(@Param("workOrderStatusName") String workOrderStatusName,
                        @Param("satisfiedType") String satisfiedType);
}
