package com.usky.fire.mapper;

import com.usky.common.mybatis.core.CrudMapper;
import com.usky.fire.domain.PatrolInspectionPlanSiteSon;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author JCB
 * @since 2022-07-18
 */
@Repository
public interface PatrolInspectionPlanSiteSonMapper extends CrudMapper<PatrolInspectionPlanSiteSon> {

    int planSonSiteCout(@Param("startTime") String startTime,
                        @Param("endTime") String endTime,
                        @Param("inspectionStatus") Integer inspectionStatus);
}
