package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.DemAtlInspectDeclare;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.service.vo.DemAtlInspectDeclareExportVO;

import java.util.List;

/**
 * <p>
 * 消防安检申报总表 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-10-08
 */
public interface DemAtlInspectDeclareService extends CrudService<DemAtlInspectDeclare> {

    CommonPage<Object> atlInspectDeclareList(String projectCode, String declareCompanyName, Integer id, Integer pageNum, Integer pageSize);

    List<DemAtlInspectDeclareExportVO> atlInspectDeclareListExport(String projectCode, String declareCompanyName, Integer id);

    void updateAtlInspectCertificate(DemAtlInspectDeclare demAtlInspectDeclare);

    void delAtlInspectCertificate(Integer id, Integer zid);
}
