package com.usky.fire.service;

import com.usky.fire.domain.DemFireStation;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemHighRise;
import com.usky.fire.service.vo.DemFireStationVO;

import java.util.List;

/**
 * <p>
 * 消防站 服务类
 * </p>
 *
 * @author han
 * @since 2023-03-31
 */
public interface DemFireStationService extends CrudService<DemFireStation> {
    /**
     * 消防站-撒点
     *
     * @param demFireStationVO  主键ID
     * @return
     */
    List<DemFireStation> demFireStationList(DemFireStationVO demFireStationVO);
}
