package com.usky.fire.service;

import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemLawStatistics;

import java.util.Date;
import java.util.Map;

/**
 * <p>
 * 行政执法统计总表 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-10-13
 */
public interface DemLawStatisticsService extends CrudService<DemLawStatistics> {

    /**
     * 根据时间查询当月执法情况
     *
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return
     */
    Map<String, Object> lawStatistics(Date startTime, Date endTime);
}
