package com.usky.fire.service;

import com.usky.fire.domain.DemHighRise;
import com.usky.fire.domain.DemStreetMicroStation;
import com.usky.common.mybatis.core.CrudService;

import java.util.List;

/**
 * <p>
 * 街镇微型消防站 服务类
 * </p>
 *
 * @author han
 * @since 2023-04-06
 */
public interface DemStreetMicroStationService extends CrudService<DemStreetMicroStation> {
    /**
     * 街镇微型消防站-撒点
     *
     * @param streetTown
     * @return
     */
    List<DemStreetMicroStation> demStreetMicroStationList(String streetTown);
}
