package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.JcjAjxx;
import com.usky.common.mybatis.core.CrudService;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ZYJ
 * @since 2023-01-17
 */
public interface JcjAjxxService extends CrudService<JcjAjxx> {
    CommonPage<JcjAjxx> jcjAjxxList(String streetTown, String startDate, String endDate, String caseType, Integer pageNum, Integer pageSize);

    Map<String,Object> jcjAjxxStatistics(String streetTown, String startDate, String endDate);

    Integer ajCount(String streetTown, String startDate, String endDate, String caseType);

}
