package com.usky.fire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.AbstractCrudService;
import com.usky.fire.domain.DemFireAccidentDesc;
import com.usky.fire.domain.DemFireStatistics;
import com.usky.fire.domain.DemFireStatisticsAttach;
import com.usky.fire.mapper.DemFireAccidentDescMapper;
import com.usky.fire.service.DemFireAccidentDescService;
import com.usky.fire.service.DemFireStatisticsAttachService;
import com.usky.fire.service.DemFireStatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 火灾事故说明总表 服务实现类
 * </p>
 *
 * @author JCB
 * @since 2022-09-13
 */
@Service
public class DemFireAccidentDescServiceImpl extends AbstractCrudService<DemFireAccidentDescMapper, DemFireAccidentDesc> implements DemFireAccidentDescService {
}
