package com.usky.fire.service.vo;

import lombok.Data;

/**
 * @author yq
 * @date 2021/5/28 14:55
 * 警情统计
 */
@Data
public class AlertStatisticsVO {

    /**
     * 类型(社会援助，火灾，抢险救援)
     */
    private String type;

    /**
     * 数量
     */
    private Integer number;

    /**
     * 月份
     */
    private String month;

    /**
     * 占比
     */
    private Double radio;

    /**
     * 同比上升還是下降
     */
    private Integer sameStatus;

    /**
     * 平均值
     */
    private Double avg;
}
