package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author JCB
 * @since 2022-07-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BaseBuildVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 建筑编号
     */
    private String buildNum;

    /**
     * 建筑名称
     */
    private String buildName;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 建筑面积
     */
    private Double buildArea;

    /**
     * 耐火等级
     */
    private Integer fireRating;

    /**
     * 使用性质
     */
    private Integer useCharacter;

    /**
     * 建筑结构
     */
    private Integer buildStructure;

    /**
     * 建筑高度
     */
    private Double buildHigh;

    /**
     * 竣工年份
     */
    private LocalDate completeYear;

    /**
     * 安全责任人
     */
    private String safePerson;

    /**
     * 安全管理人
     */
    private String managePerson;

    /**
     * 火灾危险性
     */
    private Integer fireRisk;

    /**
     * 建筑平面图
     */
    private String buildPlan;
}
