package com.usky.fire.service.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *
 * </p>
 *
 * @author JCB
 * @since 2022-08-15
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DataRtVo implements Serializable {

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备状态（0：离线、1：正常、2：故障、3：告警）
     */
    private Integer deviceStatus;

    /**
     * 安装位置
     */
    private String installAddress;

    /**
     * 所属单位
     */
    private String companyName;

    /**
     * 负责人
     */
    private String linkPerson;

    /**
     * 联系电话
     */
    private String linkPhone;

    /**
     * 设备最新采集值
     */
    private List<Map<String, Object>> dataList;

}
