package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zyj
 * @since 2023-02-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DemReformReviewMaterialVO {

    private static final long serialVersionUID = 1L;

    /**
     * 整改编号
     */
    private String reformId;

    /**
     * 整改时间
     */
    private LocalDateTime reformTime;

    /**
     * 整改提交人
     */
    private String reformPerson;

    /**
     * 整改备注
     */
    private String reformRemark;

    /**
     * 整改相关图片或文件路径1
     */
    private String reformPath1;

    /**
     * 整改相关图片或文件路径2
     */
    private String reformPath2;

    /**
     * 整改相关图片或文件路径3
     */
    private String reformPath3;

    /**
     * 整改相关图片或文件路径4
     */
    private String reformPath4;

    /**
     * 整改相关图片或文件路径5
     */
    private String reformPath5;

    /**
     * 审核时间
     */
    private LocalDateTime reviewTime;

    /**
     * 审核人
     */
    private String reviewPerson;

    /**
     * 审核备注
     */
    private String reviewRemark;
}
