package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zyj
 * @since 2023-02-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DemWaterSourceExportVO {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 水源名称;
     */
    @Excel(name = "水源名称")
    private String waterName;

    /**
     * 水源地址;
     */
    @Excel(name = "水源地址")
    private String waterAddress;

    /**
     * 水源类型;
     */
    @Excel(name = "水源类型")
    private String waterType;

    /**
     * 管辖名称;
     */
    @Excel(name = "管辖名称")
    private String organizateName;

    /**
     * 取水形式;
     */
    @Excel(name = "取水形式")
    private String waterForm;

    /**
     * 可用状态;
     */
    @Excel(name = "可用状态")
    private String availableStatusName;

    /**
     * 水源性质;
     */
    @Excel(name = "水源性质")
    private String waterNature;

    /**
     * 建造时间;
     */
    @Excel(name = "建造时间")
    private String buildTime;

    /**
     * 管网单位;
     */
    @Excel(name = "管网单位")
    private String pipeCompany;

    /**
     * 联系方式;
     */
    @Excel(name = "联系方式")
    private String contactMode;

    /**
     * 消防站简称;
     */
    @Excel(name = "消防站简称")
    private String fireAbbreviat;

    /**
     * 管网压力;
     */
    @Excel(name = "管网压力")
    private String pipePressure;

    /**
     * 消火栓接口;
     */
    @Excel(name = "消火栓接口")
    private String hydrantInterface;
}
