package com.usky.fire.service.vo;

import lombok.Data;

import java.util.List;

/**
 * 火灾告警心跳信息
 * @author yq
 * @date 2021/11/10 8:06
 */
@Data
public class FireAlarmVO {
    /**
     * 设备编号
     */
    private String devId;

    /**
     *传输方式
     */
    private String connType;
    /**
     * 设备名称
      */
    private String deviceName;
    /**
     * 告警类型心跳或者告警
     */
    private String type;
    /**
     * 时间戳
      */
    private String timeStamp;

    /**
     * 心跳设备信息
     */
    private List<FireAlarmDevice> devs;


    /**
     * 告警设备信息
     */
    private List<FireAlarmDevice> alarams;
    /**
     * 设备状态
      */
    private Integer devState;
}
