package com.usky.fire.service.vo;
import lombok.Data;
import org.apache.tomcat.jni.Local;

import java.time.LocalDateTime;

import java.util.List;

/**
 * 电子督察单处置信息
 * @author zyj
 * @date 2023/1/3 10:06
 */
@Data

public class InspectHandleVO {
    /**
     * 处理人
     */
    private String handler;

    /**
     * 处理时间
     */
    private LocalDateTime handlingTime;

    /**
     * 处理内容
     */
    private String handlingContent;

    /**
     * 处理人电话
     */
    private String handlerPhone;

    /**
     * 设备状态（1 已恢复 2 设备损坏 3 设备维修 4 设备停用）
     */
    private Integer deviceStatus;

    /**
     * 现场照片1
     */
    private String sitePhoto1;

    /**
     * 现场照片2
     */
    private String sitePhoto2;

    /**
     * 现场照片3
     */
    private String sitePhoto3;
}
