package com.usky.fire.service.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zyj
 * @since 2023-02-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class MobileScheduleVO {

    private static final long serialVersionUID = 1L;

    /**
     * 整改编号
     */
    private String reformId;

    /**
     * 整改单发送时间
     */
    private String sendTime;

    /**
     * 整改状态（1 已接收、2 整改中、3 整改完成、4 审核不通过、5 审核通过）
     */
    private Integer reformStatus;

    /**
     * 整改限期时间
     */
    private LocalDateTime limitTime;

    /**
     * 整改说明
     */
    private String reformPart;

    /**
     * 整改时间
     */
    private LocalDateTime reformTime;

    /**
     * 整改相关图片或文件路径1
     */
    private String reformPath1;

    /**
     * 整改相关图片或文件路径2
     */
    private String reformPath2;

    /**
     * 整改相关图片或文件路径3
     */
    private String reformPath3;

    /**
     * 整改相关图片或文件路径4
     */
    private String reformPath4;

    /**
     * 整改相关图片或文件路径5
     */
    private String reformPath5;

    /**
     * 审核时间
     */
    private LocalDateTime reviewTime;

    /**
     * 审核备注
     */
    private String reviewRemark;
}
