package com.usky.fire.service.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author JCB
 * @since 2022-08-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class RealTimeStatus implements Serializable {

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 安装位置
     */
    private String installAddress;

    /**
     * 设备类型
     */
    private Integer deviceType;

    /**
     * 最新更新数据时间
     */
    private LocalDateTime statusTime;

    /**
     * 设备最新采集值
     */
    private Object dataList;


}
