package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author JCB
 * @since 2022-07-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class RecordStatisticsVo implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 点位巡检任务总数
     */
    private Integer taskCount;

    /**
     * 点位巡检完成数
     */
    private Integer taskCountLeak;

    /**
     * 点位漏检次数
     */
    private Integer taskCountComplete;

    /**
     * 累计点位巡检次数
     */
    private Integer siteCount;

    /**
     * 累计点位漏检次数
     */
    private Integer siteCountLeak;

    /**
     * 当前巡检计划数量
     */
    private Integer planCount;


}
