package com.usky.iot.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.iot.domain.DmpSoftwareInfo;
import com.usky.iot.service.DmpSoftwareInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 软件信息表
 *
 * @author ya
 * @since 2022-10-11
 */
@RestController
@RequestMapping("/dmpSoftwareInfo")
public class DmpSoftwareInfoController {

    @Autowired
    private DmpSoftwareInfoService dmpSoftwareInfoService;

    /**
     * 集合
     * @param name
     * @return
     */
    @GetMapping("/list")
    public ApiResult<List<DmpSoftwareInfo>> list(@RequestParam(required = false) String name){
        return ApiResult.success(dmpSoftwareInfoService.list(name));
    }
}

