package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 软件信息表
 * </p>
 *
 * @author ya
 * @since 2022-10-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DmpSoftwareInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 软件ID
     */
    private String softwareId;

    /**
     * 生效状态
     */
    private Integer effectStatus;

    /**
     * 软件名称
     */
    private String softwareName;

    /**
     * 软件说明
     */
    private String softwareExplain;

    /**
     * 序号
     */
    private Integer orderNumber;

    /**
     * 创建时间
     */
    private LocalDateTime createdTime;

    /**
     * 更新时间
     */
    private LocalDateTime updatedTime;


}
