package com.usky.iot.service;

import com.usky.iot.domain.BaseFacilityArea;
import com.usky.common.mybatis.core.CrudService;
import com.usky.iot.domain.BaseFacilityType;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author han
 * @since 2023-06-20
 */
public interface BaseFacilityAreaService extends CrudService<BaseFacilityArea> {
    /**
     * 设施所属领域根据ID查询
     *
     * @param id   主键ID
     * @return
     */
    List<BaseFacilityArea> areaSelect(Integer id);
}
