package com.usky.iot.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.iot.domain.DmpProductInfo;
import com.usky.iot.service.vo.DmpProductInfoRequest;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 产品信息表 服务类
 * </p>
 *
 * @author ya
 * @since 2022-10-08
 */
public interface DmpProductInfoService extends CrudService<DmpProductInfo> {


    void add(DmpProductInfo dmpProductInfo);

    void update(DmpProductInfo dmpProductInfo);

    boolean checkNameUnique(DmpProductInfo dmpProductInfo);

    CommonPage<DmpProductInfo> page(DmpProductInfoRequest dmpProductInfoRequest);

    boolean remove(Integer id);

    List<Map<String,Object>> collect();
}
