package com.usky.iot.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.iot.domain.DmpSoftwareUpgrade;
import com.usky.iot.service.vo.DmpSoftwareUpgradeRequest;
import org.springframework.web.multipart.MultipartFile;


/**
 * <p>
 * 软件升级信息表 服务类
 * </p>
 *
 * @author ya
 * @since 2022-10-08
 */
public interface DmpSoftwareUpgradeService extends CrudService<DmpSoftwareUpgrade> {


    void add(DmpSoftwareUpgrade dmpSoftwareUpgrade,MultipartFile file);


    CommonPage<DmpSoftwareUpgrade> page(DmpSoftwareUpgradeRequest dmpSoftwareUpgradeRequest);
}
