package com.usky.iot.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class DmpDeviceExcelVO {

    /**
     * 主键id
     */
    @Excel(name = "id", height = 6, width = 20)
    private Integer id;

    /**
     * 设备ID;设备注册时系统自动生成一个唯一编号
     */
    @Excel(name = "设备id", height = 6, width = 20)
    private String deviceId;

    /**
     * 设备编号
     */
    @Excel(name = "设备编号", height = 6, width = 20)
    private String deviceCode;

    /**
     * 设备名称
     */
    @Excel(name = "设备名称", height = 6, width = 20)
    private String deviceName;

    /**
     * 设备类型
     */
    @Excel(name = "设备类型", height = 6, width = 20)
    private Integer deviceType;

    /**
     * 产品ID
     */
    @Excel(name = "产品ID", height = 6, width = 20)
    private Integer productId;

    /**
     * 物联网卡号
     */
    @Excel(name = "物联网卡号", height = 6, width = 20)
    private String simCode;

    /**
     * 国际移动用户识别码
     */
    @Excel(name = "国际移动用户识别码", height = 6, width = 20)
    private String imsiCode;

    /**
     * 节点类型
     */
    @Excel(name = "节点类型", height = 6, width = 20)
    private Integer nodeType;

    /**
     * 分组id
     */
    @Excel(name = "分组id", height = 6, width = 20)
    private Integer groupId;


    /**
     * 创建人
     */
    @Excel(name = "创建人", height = 6, width = 20)
    private String createdBy;

    /**
     * 创建时间
     */
    @Excel(name = "创建时间", height = 6, width = 20)
    private Date createdTime;

    /**
     * 更新人
     */
    @Excel(name = "更新人", height = 6, width = 20)
    private String updatedBy;

    /**
     * 更新时间
     */
    @Excel(name = "更新时间", height = 6, width = 20)
    private Date updatedTime;


    /**
     * 产品名称
     */
    @Excel(name = "产品名称", height = 6, width = 20)
    private String productName;
    /**
     * 设备状态
     */
    @Excel(name = "设备状态", height = 6, width = 20)
    private Integer deviceStatus;

    /**
     * 是否自动订阅
     */
    @Excel(name = "是否自动订阅", height = 6, width = 20)
    private Integer subscribeFlag;
}
