package com.usky.backend.domain.request;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 *
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class HistoryQueryVo implements Serializable {

    private static final long serialVersionUID = 1L;

     /**
     * 开始时间
     */
    private String startTime;

     /**
     * 结束时间
     */
    private String endTime;

     /**
     * 设备Id
     */
    private String  deviceId;

    /**
     * 设备类型
     */
    private Integer deviceType;

    /**
     * 指标名
     */
    private List<String>  metrics;



}
