package com.usky.backend.service;

import com.usky.backend.domain.SysTenant;
import com.usky.backend.domain.vo.SysConfigLoginVo;
import com.usky.backend.domain.vo.SysConfigTenantVo;
import com.usky.common.mybatis.core.CrudService;

/**
 * <p>
 * 租户信息表 服务类
 * </p>
 *
 * @author ya
 * @since 2022-04-29
 */
public interface SysTenantService extends CrudService<SysTenant> {


    SysConfigLoginVo getConfig(String domain);

    SysConfigTenantVo getSysConfig(Integer tenantId);

}
