package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.service.DemBuildScoreRiskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 建筑评分风险类型 前端控制器
 * </p>
 *
 * @author JCB
 * @since 2022-09-06
 */
@RestController
@RequestMapping("/demBuildScoreRisk")
public class DemBuildScoreRiskController {

    @Autowired
    private DemBuildScoreRiskService demBuildScoreRiskService;

    /**
     * 建筑评分管理-风险类型下拉框
     *
     * @return
     */
    @GetMapping("demBuildScoreRiskList")
    public ApiResult<Object> demBuildScoreRiskList() {
        return ApiResult.success(demBuildScoreRiskService.demBuildScoreRiskList());
    }
}

