package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.domain.DemHighRise;
import com.usky.fire.service.DemHighRiseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 高层公共建筑底数 前端控制器
 * </p>
 *
 * @author han
 * @since 2023-03-31
 */
@RestController
@RequestMapping("/demHighRise")
public class DemHighRiseController {

    @Autowired
    private DemHighRiseService demHighRiseService;
    /**
     * 高层公共建筑-撒点
     *
     * @param id  主键ID
     * @return
     */
    @GetMapping("demHighRiseList")
    public ApiResult<List<DemHighRise>> demHighRiseList(@RequestParam(value = "id", required = false) Integer id) {
        return ApiResult.success(demHighRiseService.demHighRiseList(id));
    }
}

