package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 企业自主管理大屏统计（全部）
 * </p>
 *
 * @author JCB
 * @since 2022-10-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BscEnterpriseAutonomy implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 企业自主情况
     */
    private String enterpriseAutonomy;

    /**
     * 物联网设备情况
     */
    private String iotDevice;

    /**
     * 企业自主巡检情况
     */
    private String patrolInspection;

    /**
     * 各街镇单位情况
     */
    private String streetCompany;

    /**
     * 风险指数
     */
    private String rpn;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;


}
