package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 建筑评分历史记录表
 * </p>
 *
 * @author JCB
 * @since 2022-09-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemBuildScoreRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 得分
     */
    private Integer buildScore;

    /**
     * 得分日期（年-月）
     */
    private String scoreDate;

    /**
     * 单位ID
     */
    private String companyId;

    /**
     * 定时创建时间
     */
    private LocalDateTime createTime;


}
