package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 消防检查人员
 * </p>
 *
 * @author JCB
 * @since 2022-11-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemFireInspectPerson implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 检查员名称
     */
    private String personName;

    /**
     * 检查员职位
     */
    private String personPosition;

    /**
     * 联系方式
     */
    private String linkPhone;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updatePerson;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;


}
