package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 网格员管理附属表
 * </p>
 *
 * @author JCB
 * @since 2022-11-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemGridMemderVice implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 网格员管理表主键ID
     */
    private Integer gridMemberId;

    /**
     * 人员名称
     */
    private String personnelName;

    /**
     * 联系方式
     */
    private String phone;

    /**
     * 人员类型：1、网格人员 2、增员干部
     */
    private Integer personnelType;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updatePerson;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;


}
