package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 大型安保管理
 * </p>
 *
 * @author JCB
 * @since 2022-10-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DemLargeSecurityManage implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 安保提示名称
     */
    private String securityTipsName;

    /**
     * 安保提示内容
     */
    private String securityTipsContent;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 更新人
     */
    private String updatePerson;

    /**
     * 删除标识 0未删除 1已删除
     */
    private Integer deleteFlag;


}
