package com.usky.fire.domain;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author ZYJ
 * @since 2023-01-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class JcjAjxx implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 警情信息
     */
    @TableField("GIS_X")
    private BigDecimal gisX;

    @TableField("GIS_Y")
    private BigDecimal gisY;

    @TableField("SJC")
    private LocalDateTime sjc;

    @TableId("ID")
    private String id;

    /**
     * 主管支队
     */
    private String zgzd;

    /**
     * 案件时间段
     */
    private String ajsjd;

    /**
     * 通知到场时间
     */
    private String tzdcsj;

    /**
     * 通知出水时间
     */
    private String tzcssj;

    /**
     * 通知控制时间
     */
    private String tzkzsj;

    /**
     * 通知熄灭时间
     */
    private String tzxmsj;

    /**
     * 通知返队时间
     */
    private String tzfdsj;

    /**
     * 区域
     */
    private String qy;

    /**
     * 案件类型
     */
    private String ajlx;

    /**
     * 案发地址
     */
    private String afdz;

    /**
     * 立案时间
     */
    private LocalDateTime lasj;

    /**
     * 立案日期
     */
    private String larq;

    /**
     * 处置对象
     */
    private String czdx;

    /**
     * 案件类型代码
     */
    private String ajlxdm;

    /**
     * 案件等级
     */
    private String ajdj;

    /**
     * 主管中队
     */
    private String zhongdui;

    /**
     * 区县
     */
    private String qx;

    /**
     * 案件编号
     */
    private String ajbh;

    /**
     * 案件状态
     */
    private String ajzt;

    /**
     * 案件性质
     */
    private String ajxz;

    /**
     * 通知时间
     */
    private LocalDateTime tzsj;

    /**
     * 到场时间
     */
    private LocalDateTime dcsj;

    /**
     * 出水时间
     */
    private LocalDateTime cssj;

    /**
     * 控制时间
     */
    private LocalDateTime kzsj;

    /**
     * 熄灭时间
     */
    private LocalDateTime xmsj;

    /**
     * 返队时间
     */
    private LocalDateTime fdsj;

    /**
     * 补充信息
     */
    private String bcxx;

    /**
     * 出动车辆
     */
    private BigDecimal cdcl;

    /**
     * 案件区域
     */
    private String ajqy;

    /**
     * 填表时间
     */
    @TableField("BDP_AUDIT")
    private String bdpAudit;

    /**
     * 主管中队id
     */
    @TableField("ZGJGBH")
    private String zgjgbh;

    /**
     * 街镇
     */
    @TableField("STREETTOWN")
    private String streettown;

    /**
     * 创建时间
     */
    private LocalDateTime created;

    /**
     * 编辑时间
     */
    private LocalDateTime updated;

    /**
     * 0有效/1无效
     */
    private Boolean yxx;

    /**
     * 0未确认/1已同步/2人员确认
     */
    private Integer qrqk;

    private Integer fairIs;


}
