package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author JCB
 * @since 2022-07-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolInspectionPlanSiteSon implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 子计划地点关联信息表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 计划子表ID
     */
    private Integer planId;

    /**
     * 地点ID
     */
    private Integer siteId;

    /**
     * 巡检状态（1 未巡检，2 已巡检）
     */
    private Integer inspectionStatus;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;


}
