package com.usky.fire.domain;

import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 巡检记录内容选项关联表
 * </p>
 *
 * @author JCB
 * @since 2022-07-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolInspectionRecordOption implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 巡检记录内容选项关联表主键ID
     */
    private Integer id;

    /**
     * 记录ID
     */
    private Integer recordId;

    /**
     * 内容选项ID
     */
    private Integer contentOptionId;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 内容
     */
    private String content;

    /**
     * 检查项ID
     */
    private Integer contentId;


}
