package com.usky.fire.mapper;

import com.usky.fire.domain.BscEnterpriseAutonomy;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.fire.service.vo.AlarmFireStatisticalVo;
import com.usky.fire.service.vo.DataCountVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 企业自主管理大屏统计（全部） Mapper 接口
 * </p>
 *
 * @author JCB
 * @since 2022-10-09
 */
@Repository
public interface BscEnterpriseAutonomyMapper extends CrudMapper<BscEnterpriseAutonomy> {

    List<DataCountVo> deviceStatusCount(@Param("streetTownList") List<String> streetTownList);

}
