package com.usky.fire.mapper;

import com.usky.fire.domain.DemFireStatistics;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.fire.service.po.FireStatisticsPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 火灾统计表 Mapper 接口
 * </p>
 *
 * @author JCB
 * @since 2022-09-13
 */
@Repository
public interface DemFireStatisticsMapper extends CrudMapper<DemFireStatistics> {

    int updateList(List<FireStatisticsPO> list);

}
