package com.usky.fire.mapper;

import com.usky.common.mybatis.core.CrudMapper;
import com.usky.fire.domain.BaseCompanyPerson;
import com.usky.fire.domain.MhPostInspect;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 查岗信息 Mapper 接口
 * </p>
 *
 * @author JCB
 * @since 2022-08-24
 */
@Repository
public interface MhPostInspectMapper extends CrudMapper<MhPostInspect> {
    List<BaseCompanyPerson> inspectStatistics(@Param("companyIdList") List<String> companyIdList);

    Integer mhPostInspectStatistics(@Param("find") String find,
                                    @Param("inspectStatus") Integer inspectStatus,
                                    @Param("startTime") String startTime,
                                    @Param("endTime") String endTime,
                                    @Param("companyIdList") List<String> companyIdList,
                                    @Param("companyId") String companyId);
}
