package com.usky.fire.mapper;

import com.usky.common.mybatis.core.CrudMapper;
import com.usky.fire.domain.ReservePlan;
import com.usky.fire.service.vo.DataCountVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 预案管理 Mapper 接口
 * </p>
 *
 * @author JCB
 * @since 2022-09-05
 */
public interface ReservePlanMapper extends CrudMapper<ReservePlan> {
    List<DataCountVo> reservePlanCount(@Param("companyId") String companyId);
}
