package com.usky.fire.service;

import com.usky.fire.domain.BaseCompanyChange;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.service.vo.CompanyDataVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 单位信息变更表 服务类
 * </p>
 *
 * @author han
 * @since 2023-02-23
 */
public interface BaseCompanyChangeService extends CrudService<BaseCompanyChange> {
    void baseCompanyChangeAdd(@Param("baseCompanyChange") BaseCompanyChange baseCompanyChange);
    /**
     * 变更记录-单位ID查询
     *
     * @param companyId   单位ID
     */
    List<BaseCompanyChange> baseCompanyChangeOne(String companyId);
}
