package com.usky.fire.service;

import com.usky.fire.domain.BaseGgpFacility;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemFireStation;
import com.usky.fire.service.vo.BaseGgpFacilityListVO;
import com.usky.fire.service.vo.BaseGgpFacilityVO;
import com.usky.fire.service.vo.DemFireStationVO;

import java.util.List;

/**
 * <p>
 * 地理信息 服务类
 * </p>
 *
 * @author han
 * @since 2023-04-10
 */
public interface BaseGgpFacilityService extends CrudService<BaseGgpFacility> {
    /**
     * 地理信息-撒点
     *
     * @param baseGgpFacilityVO  主键ID
     * @return
     */
    List<BaseGgpFacility> baseGgpFacilityList(BaseGgpFacilityVO baseGgpFacilityVO);
}
