package com.usky.fire.service;

import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.BaseModel;

import java.util.List;

/**
 * <p>
 * 三维模型设备信息 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-09-05
 */
public interface BaseModelService extends CrudService<BaseModel> {

    /**
     * 三维建模-设备信息查询
     *
     * @param buildId 建筑ID
     * @param floorId 楼层
     * @return
     */
    List<Object> modelDataList(Integer buildId, Integer floorId);
}
