package com.usky.fire.service;

import com.usky.fire.domain.BaseCompany;
import com.usky.fire.domain.BaseStreetTown;
import com.usky.common.mybatis.core.CrudService;

import java.util.List;

/**
 * <p>
 * 街镇 服务类
 * </p>
 *
 * @author han
 * @since 2023-02-23
 */
public interface BaseStreetTownService extends CrudService<BaseStreetTown> {
    /**
     * 街镇-下拉框
     *
     * @param economize      省
     * @param market         市
     * @param districtCounty 区县
     * @return
     */
    List<BaseStreetTown> baseStreetTownList(String economize, String market, String districtCounty);

}
