package com.usky.fire.service;

import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemBuildScore;

import java.util.List;

/**
 * <p>
 * 建筑评分 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-09-06
 */
public interface DemBuildScoreService extends CrudService<DemBuildScore> {

    /**
     * 建筑评分管理-建筑评分规则修改
     *
     * @param demBuildScoreList
     */
    void buildScoreUpdate(List<DemBuildScore> demBuildScoreList);

    /**
     * 建筑评分管理-列表查询
     *
     * @return
     */
    List<Object> buildScoreList();

    /**
     * 建筑评分配置查询
     *
     * @return
     */
    List<DemBuildScore> buildScoreListOne();
}
