package com.usky.fire.service;

import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemEnforceProjectAll;

import java.util.Date;

/**
 * <p>
 * 监督管理项目全表 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-10-19
 */
public interface DemEnforceProjectAllService extends CrudService<DemEnforceProjectAll> {

    /**
     * 监督管理项目数量查询
     *
     * @param typeOneLetter 项目分类型一
     * @param typeTwoLetter 项目分类型二
     * @param startTime     开始时间
     * @param endTime       结束时间
     * @param unitId        项目单位ID
     * @param qualifiedFlag 项目结果
     * @return
     */
    int enforceProjectAllCount(String typeOneLetter, String typeTwoLetter, Date startTime, Date endTime, String unitId, String qualifiedFlag);
}
