package com.usky.fire.service;

import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemEnforceReportAttach;
import com.usky.fire.service.vo.ReportStatisticsVO;

/**
 * <p>
 * 监督检查举报投诉信息附表 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-09-23
 */
public interface DemEnforceReportAttachService extends CrudService<DemEnforceReportAttach> {

    /**
     * 监督检查举报投诉信息统计
     *
     * @param workOrderStatusName 工单状态名称
     * @param satisfiedType       是否满意
     * @return
     */
    int enforceReportAttachCount(String workOrderStatusName, String satisfiedType);

    int enforceReportAttachCountOne(String workOrderStatusName, String satisfiedType);
}
