package com.usky.fire.service;

import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemEnforceReportLabel;

import java.util.List;

/**
 * <p>
 * 监督检查举报投诉信息标签表 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-09-26
 */
public interface DemEnforceReportLabelService extends CrudService<DemEnforceReportLabel> {

    /**
     * 标签下拉框查询
     *
     * @param fid 父级ID
     * @return
     */
    List<DemEnforceReportLabel> enforceReportLabelSelect(Integer fid);

    /**
     * 标签新增
     *
     * @param demEnforceReportLabel
     */
    void addEnforceReportLabel(DemEnforceReportLabel demEnforceReportLabel);

    /**
     * 标签修改
     *
     * @param demEnforceReportLabel
     */
    void updateEnforceReportLabel(DemEnforceReportLabel demEnforceReportLabel);

    /**
     * 标签删除
     * @param id
     */
    void delEnforceReportLabel(Integer id);
}
