package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.DemFireInspect;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemFireInspectPerson;

/**
 * <p>
 * 消防检查 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-11-24
 */
public interface DemFireInspectService extends CrudService<DemFireInspect> {

    CommonPage<DemFireInspect> fireInspectList(String companyId, Integer pageNum, Integer pageSize);

    DemFireInspectPerson addFireInspect(DemFireInspect demFireInspect);

    void updateFireInspect(DemFireInspect demFireInspect);
}
