package com.usky.fire.service;

import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemFireLabelAttribute;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-09-27
 */
public interface DemFireLabelAttributeService extends CrudService<DemFireLabelAttribute> {

    /**
     * 标签/分类查询
     *
     * @return
     */
    List<DemFireLabelAttribute> freLabelAttributeList(Integer labelId);

    /**
     * 标签属性-删除
     *
     * @param id 主键ID
     */
    void delDemFireLabelAttribute(Integer id);
}
