package com.usky.fire.service;

import com.usky.fire.domain.DemReportData;
import com.usky.common.mybatis.core.CrudService;

/**
 * <p>
 * 报告数据表 服务类
 * </p>
 *
 * @author han
 * @since 2023-02-28
 */
public interface DemReportDataService extends CrudService<DemReportData> {
    /**
     * 报告数据定时生成任务逻辑
     */
    void regularReportData();

    /**
     * 报告生成建筑信息JSON数据查询
     *
     * @param companyId 单位ID
     * @return
     */
    Object buildStatistics(String companyId);
}
