package com.usky.fire.service;

import com.usky.fire.domain.DemStore;
import com.usky.common.mybatis.core.CrudService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 仓库信息表 服务类
 * </p>
 *
 * @author ZYJ
 * @since 2023-01-16
 */
public interface DemStoreService extends CrudService<DemStore> {
    /**
     * 城市消防体征-地图撒点-仓库撒点
     *
     * @param streetTown 街镇
     * @return
     */
    List<Object> storeScatterer(String streetTown);
}
