package com.usky.fire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.fire.domain.DemAtlInspectCertificate;
import com.usky.fire.mapper.DemAtlInspectCertificateMapper;
import com.usky.fire.service.DemAtlInspectCertificateService;
import com.usky.common.mybatis.core.AbstractCrudService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 安全检查合格证 服务实现类
 * </p>
 *
 * @author JCB
 * @since 2022-10-08
 */
@Service
public class DemAtlInspectCertificateServiceImpl extends AbstractCrudService<DemAtlInspectCertificateMapper, DemAtlInspectCertificate> implements DemAtlInspectCertificateService {

    @Override
    public int atlInspectCertificateCount(){
        LambdaQueryWrapper<DemAtlInspectCertificate> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(DemAtlInspectCertificate::getDeleteFlag,0);
        int count = this.count(queryWrapper);
        return count;
    }
}
