package com.usky.fire.service.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 火灾报警系统报警信息表
 * </p>
 *
 * @author JCB
 * @since 2022-07-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class AlarmFireStatisticalVo implements Serializable {

    /**
     * 时间
     */
    private String alarmTime;

    /**
     * 告警数量
     */
    private Integer count;

    /**
     * 已处理数量
     */
    private Integer sum;
}
