package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zyj
 * @since 2023-02-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BaseCompanyExportVO {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    private String companyName;

    /**
     * 组织机构代码
     */
    @Excel(name = "组织机构代码")
    private String organization;

    /**
     * 法人代表
     */
    @Excel(name = "法人代表")
    private String delegateName;

    /**
     * 单位地址
     */
    @Excel(name = "单位地址")
    private String address;

    /**
     * 单位类型
     */
    @Excel(name = "单位类型")
    private String companyType;

    /**
     * 单位电话
     */
    @Excel(name = "单位电话")
    private String linkPhone;

    /**
     * 消防安全负责人
     */
    @Excel(name = "消防安全负责人")
    private String fireDutyName;

    /**
     * 消防安全管理人
     */
    @Excel(name = "消防安全管理人")
    private String fireManageName;

    /**
     * 职工人数
     */
    @Excel(name = "职工人数")
    private String employeeNum;

    /**
     * 建筑面积（㎡）
     */
    @Excel(name = "建筑面积（㎡）")
    private String BuildArea;
}
