package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zyj
 * @since 2023-02-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)

public class DemAtlInspectDeclareExportVO {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 项目编号
     */
    @Excel(name = "项目编号")
    private String projectCode;

    /**
     * 申请单位名称
     */
    @Excel(name = "申请单位名称")
    private String declareCompanyName;

    /**
     * 申报人
     */
    @Excel(name = "申报人")
    private String declarePerson;

    /**
     * 填表日期
     */
    @Excel(name = "填表日期")
    private String fillTime;

    /**
     * 场所名称
     */
    @Excel(name = "场所名称")
    private String siteName;

    /**
     * 法定代表人
     */
    @Excel(name = "法定代表人")
    private String legalRepresentative;

    /**
     * 场所建筑面积
     */
    @Excel(name = "场所建筑面积")
    private String siteArea;

    /**
     * 联系人
     */
    @Excel(name = "联系人")
    private String linkPerson;

    /**
     * 联系电话
     */
    @Excel(name = "联系电话")
    private String linkPhone;

    /**
     * 场所性质
     */
    @Excel(name = "场所性质")
    private String siteNature;

    /**
     * 建筑结构
     */
    @Excel(name = "建筑结构")
    private String buildNature;

    /**
     * 场所地址
     */
    @Excel(name = "场所地址")
    private String siteAddress;

    /**
     * 使用性质
     */
    @Excel(name = "使用性质")
    private String useNature;

    /**
     * 消防安全责任人
     */
    @Excel(name = "消防安全责任人")
    private String safetyPerson;

    /**
     * 现有消防设施
     */
    @Excel(name = "现有消防设施")
    private String fireFacilities;

    /**
     * 受理时间
     */
    @Excel(name = "受理时间")
    private String acceptTime;

    /**
     * 受理状态
     */
    @Excel(name = "受理状态")
    private String acceptStatus;

    /**
     * 受理人
     */
    @Excel(name = "受理人")
    private String acceptName;
}

