package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zyj
 * @since 2023-02-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DemEnforceInspectRecordVO {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 项目编号
     */
    @Excel(name = "项目编号")
    private String projectCode;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    private String companyName;

    /**
     * 单位地址
     */
    @Excel(name = "单位地址")
    private String companyAddress;

    /**
     * 检查名称
     */
    @Excel(name = "检查名称")
    private String inspectName;

    /**
     * 检查描述
     */
    @Excel(name = "检查描述")
    private String inspectDescript;

    /**
     * 消防安全责任人
     */
    @Excel(name = "消防安全责任人")
    private String fireDutyName;

    /**
     * 消防安全责任人电话
     */
    @Excel(name = "消防安全责任人电话")
    private String fireDutyPhone;

    /**
     * 消防安全管理人
     */
    @Excel(name = "消防安全管理人")
    private String fireManageName;

    /**
     * 消防安全管理人电话
     */
    @Excel(name = "消防安全管理人电话")
    private String fireManagePhone;

    /**
     * 单位性质名称
     */
    @Excel(name = "单位性质名称")
    private String companyNatureName;

    /**
     * 消防监督检查员
     */
    @Excel(name = "消防监督检查员")
    private String enforceInspectPerson;

    /**
     * 建筑面积
     */
    @Excel(name = "建筑面积")
    private String buildArea;

    /**
     * 违法行为
     */
    @Excel(name = "违法行为")
    private String illegalAct;

    /**
     * 检查是否合格
     */
    @Excel(name = "检查是否合格")
    private Integer inspectQualified;

    /**
     * 建筑层数
     */
    @Excel(name = "建筑层数")
    private String buildFloor;

    /**
     * 建筑高度
     */
    @Excel(name = "建筑高度")
    private String buildHigh;

    /**
     * 处理情况
     */
    @Excel(name = "处理情况")
    private String handlingSituation;
}
