package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zyj
 * @since 2023-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DemEnforceReportComplaintVO {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 流水号
     */
    @Excel(name = "流水号")
    private String serialNumber;

    /**
     * 举报人
     */
    @Excel(name = "举报人")
    private String reportPerson;

    /**
     * 举报电话
     */
    @Excel(name = "举报电话")
    private String reportPhone;

    /**
     * 工单状态
     */
    @Excel(name = "工单状态")
    private String workOrderStatus;

    /**
     * 举报方式
     */
    @Excel(name = "举报方式")
    private String reportMethod;

    /**
     * 举报地址
     */
    @Excel(name = "举报地址")
    private String reportAddress;

    /**
     * 举报内容
     */
    @Excel(name = "举报内容")
    private String reportContent;

    /**
     * 举报时间
     */
    @Excel(name = "举报时间")
    private String reportTime;

    /**
     * 受理时间
     */
    @Excel(name = "受理时间")
    private String acceptTime;

    /**
     * 工单类别
     */
    @Excel(name = "工单类别")
    private Integer workOrderType;

    /**
     * 管辖单位
     */
    @Excel(name = "管辖单位")
    private String governCompany;

    /**
     * 管辖区域
     */
    @Excel(name = "管辖区域")
    private String governArea;

    /**
     * 事实认定
     */
    @Excel(name = "事实认定")
    private String factFind;

    /**
     * 办结时间
     */
    @Excel(name = "办结时间")
    private String completeTime;

    /**
     * 回访状态
     */
    @Excel(name = "回访状态")
    private String followUpStatus;

    /**
     * 举报的录音
     */
    @Excel(name = "举报的录音")
    private String reportRecord;

    /**
     * 举报来源
     */
    @Excel(name = "举报来源")
    private String reportSource;

    /**
     * 是否满意
     */
    @Excel(name = "是否满意")
    private Integer satisfiedType;
}
