package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zyj
 * @since 2023-02-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DemFireReformVO  implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 整改编号
     */
    private String reFormId;

    /**
     * 整改单位名称
     */
    private String companyName;

    /**
     * 单位类型
     */
    private String companyType;

    /**
     * 消防安全负责人
     */
    private String fireDutyName;

    /**
     * 消防安全管理人
     */
    private String fireManageName;

    /**
     * 单位属性
     */
    private Integer companyNature;

    /**
     * 整改单生成时间
     */
    private String createTime;

    /**
     * 整改状态（1 已接收、2 整改中、3 整改完成、4 审核不通过、5 审核通过）
     */
    private Integer reformStatus;

    /**
     * 状态变更时间
     */
    private String statusTime;
}
