package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zyj
 * @since 2023-02-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DemInspectExportVO {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 督查单编号
     */
    @Excel(name = "督查单编号")
    private String inspectCode;

    /**
     * 设备编号
     */
    @Excel(name = "设备编号")
    private String deviceCode;

    /**
     * 设备名称
     */
    @Excel(name = "设备名称")
    private String deviceName;

    /**
     * 设备位置
     */
    @Excel(name = "设备位置")
    private String installAddress;

    /**
     * 设备报告内容
     */
    @Excel(name = "设备报告内容")
    private String deviceContent;

    /**
     * 报告时间
     */
    @Excel(name = "报告时间")
    private LocalDateTime alarmTime;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    private String companyName;

    /**
     * 法人名称
     */
    @Excel(name = "法人名称")
    private String delegateName;

    /**
     * 法人联系电话
     */
    @Excel(name = "法人联系电话")
    private String delegatePhone;

    /**
     * 消防安全责任人
     */
    @Excel(name = "消防安全责任人")
    private String fireDutyName;

    /**
     * 消防安全责任人联系电话
     */
    @Excel(name = "消防安全责任人联系电话")
    private String fireDutyPhone;

    /**
     * 消防安全管理人
     */
    @Excel(name = "消防安全管理人")
    private String fireManageName;

    /**
     * 消防安全管理人联系电话
     */
    @Excel(name = "消防安全管理人联系电话")
    private String fireManagePhone;

    /**
     * 处置状态
     */
    @Excel(name = "处置状态")
    private Integer handlingStatus;

    /**
     * 督查单生成时间
     */
    @Excel(name = "督查单生成时间")
    private LocalDateTime inspectTime;

    /**
     * 处置记录
     */
    @Excel(name = "处置记录")
    private LocalDateTime handlingRecord;
}
