package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zyj
 * @since 2023-02-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DemReformReviewVO  implements Serializable{

    private static final long serialVersionUID = 1L;

    /**
     * 整改编号
     */
    private String reFormId;

    /**
     * 整改说明
     */
    private String reformPart;

    /**
     * 发出时间
     */
    private String sendTime;

    /**
     * 整改时间
     */
    private String reformTime;

    /**
     * 整改相关图片或文件路径1
     */
    private String reformPath1;

    /**
     * 整改相关图片或文件路径2
     */
    private String reformPath2;

    /**
     * 整改相关图片或文件路径3
     */
    private String reformPath3;

    /**
     * 整改相关图片或文件路径4
     */
    private String reformPath4;

    /**
     * 整改相关图片或文件路径5
     */
    private String reformPath5;

    /**
     * 审核时间
     */
    private String reviewTime;

}
