package com.usky.fire.service.vo;

import lombok.Data;

import java.util.List;

/**
 * 告警设备
 * @author yq
 * @date 2021/11/10 8:11
 */
@Data
public class FireAlarmDevice {
    /**
     * 设备属性集合
     */
    private List<FireAlarmProperty> dp;

    /**
     * 设备名称
     */
    private String deviceName;
    /**
     * 时间
     */
    private String timeStamp;
    /**
     * 设备类型
     */
    private String deviceType;
    /**
     *设备型号
     */
    private String deviceModel;
    /**
     * 设备id
     */
    private String devId;


}
