package com.usky.fire.service.vo;

import lombok.Data;

/**
 * @author yq
 * @date 2021/5/27 16:31
 * 水源统计信息
 */
@Data
public class FireWaterStatisticsVO {


    /**
     * 市政消火栓
     */
    private Integer municipalFireCode;


    /**
     * 社区(居民)消火栓
     */
    private Integer communityFireCode;

    /**
     * 单位消火栓
     */
    private Integer unitFireCode;

    /**
     * 天然水源
     */
    private Integer naturalWater;

    /**
     * 市政水源
     */
    private Integer municipalWater;

    /**
     * 居民水源
     */
    private Integer residentWater;

    /**
     * 单位水源
     */
    private Integer unitWater;

    /**
     * 市政取水
     */
    private Integer municipalGetWater;


    /**
     * 地下取水
     */
    private Integer landGetWater;

    /**
     * 市政取水占比
     */
    private Double municipalGetWaterRadio;

    /**
     * 地下取水占比
     */
    private Double landGetWaterRadio;

    /**
     * 水源完好率
     */
    private Double waterIntact;

}
