package com.usky.fire.service.vo;
import lombok.Data;
import java.time.LocalDateTime;

import java.util.List;

/**
 * 电子督察单详细信息
 * @author zyj
 * @date 2022/12/30 16:06
 */
@Data

public class InspectDetailVO {
    /**
     * 督察单编号
     */
    private String inspectCode;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备位置
     */
    private String installAddress;

    /**
     * 设备报告内容
     */
    private String deviceContent;

    /**
     * 报告时间
     */
    private LocalDateTime alarmTime;

    /**
     * 单位名称
     */
    private String companyName;

    /**
     * 法人名称
     */
    private String delegateName;

    /**
     * 法人联系电话
     */
    private String delegatePhone;

    /**
     * 消防安全责任人姓名
     */
    private String fireDutyName;

    /**
     * 消防安全责任人联系电话
     */
    private String fireDutyPhone;

    /**
     * 消防安全管理人姓名
     */
    private String fireManageName;

    /**
     * 消防安全管理人联系电话
     */
    private String fireManagePhone;

    /**
     * 处置状态
     */
    private Integer handlingStatus;

    /**
     * 督察单生成时间
     */
    private LocalDateTime inspectTime;

}
