package com.usky.fire.service.vo;
import java.time.LocalDateTime;

import lombok.Data;

/**
 * 电子督察单管理
 * @author zyj
 * @date 2023/1/3 10:36
 */
@Data

public class InspectManagerVO {
    /**
     * 督察单编号
     */
    private String inspectCode;

    /**
     * 督察单生成时间
     */
    private LocalDateTime inspectTime;

    /**
     * 督察单要求完成时间
     */
    private LocalDateTime inspectRequiredTime;

    /**
     * 发出单位
     */
    private String creater;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备报告内容
     */
    private String deviceContent;

    /**
     * 督察单状态（1 已处置 2 待处置 3 超时未处置）
     */
    private Integer handlingStatus;

    /**
     * 处理时间
     */
    private LocalDateTime handlingTime;

}
