package com.usky.fire.service.vo;

import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author JCB
 * @since 2022-07-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolInspectionSiteExportVo implements Serializable {

    /**
     * 设备表主键ID
     */
    private Integer id;

    /**
     * 序号
     */
    @Excel(name = "序号", width = 20)
    private Integer xh;

    /**
     * 地点名称
     */
    @Excel(name = "地点名称", width = 20)
    private String siteName;

    /**
     * 地点号码
     */
    @Excel(name = "地点号码", width = 20)
    private String siteNubmber;

    /**
     * 经度
     */
    @Excel(name = "经度", width = 20)
    private String longitude;

    /**
     * 纬度
     */
    @Excel(name = "纬度", width = 20)
    private String latitude;

    /**
     * 图片地址
     */
    @Excel(name = "图片地址", width = 50)
    private String pictureUrl;

    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20)
    private String createTime;

}
