package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author JCB
 * @since 2022-07-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PlanScheduleVo implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 地点内容关联信息表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 巡检时间
     */
    private String time;

    /**
     * 巡检人ID
     */
    private Integer personnelId;

    /**
     * 巡检人名称
     */
    private String personnelName;

    /**
     * 主计划ID
     */
    private Integer planId;

    /**
     * 周一
     */
    private Boolean weekOne;

    /**
     * 周二
     */
    private Boolean weekTwo;

    /**
     * 周三
     */
    private Boolean weekThree;

    /**
     * 周四
     */
    private Boolean weekFour;

    /**
     * 周五
     */
    private Boolean weekFive;

    /**
     * 周六
     */
    private Boolean weekSix;

    /**
     * 周日
     */
    private Boolean weekSeven;




}
