package com.usky.iot.controller.web;

import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.common.core.bean.ApiResult;
import com.usky.iot.domain.DmpDeviceStatus;
import com.usky.iot.service.DmpDeviceStatusService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.List;

/**
 * @author zyj
 * @date 2023/6/8 13:52:05
 */
@RestController
@RequestMapping("/deviceHttp")
public class DeviceHttpController {

    @Autowired
    private DmpDeviceStatusService dmpDeviceStatusService;

    @PutMapping("/status")
    public ApiResult<Void> status(){
        dmpDeviceStatusService.status();
        return ApiResult.success();
    }


}
