package com.usky.iot.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.iot.domain.DmpDeviceInfo;
import com.usky.iot.service.vo.DmpDeviceInfoRequest;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 设备信息表 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-10-08
 */
public interface DmpDeviceInfoMapper extends CrudMapper<DmpDeviceInfo> {



    Page<DmpDeviceInfo> page(IPage<DmpDeviceInfo> page, @Param("ar")DmpDeviceInfoRequest dmpDeviceInfoRequest);
}
