package com.usky.iot.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.common.security.utils.SecurityUtils;
import com.usky.iot.domain.BaseFacilityArea;
import com.usky.iot.domain.BaseFacilityType;
import com.usky.iot.mapper.BaseFacilityAreaMapper;
import com.usky.iot.service.BaseFacilityAreaService;
import com.usky.common.mybatis.core.AbstractCrudService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author han
 * @since 2023-06-20
 */
@Service
public class BaseFacilityAreaServiceImpl extends AbstractCrudService<BaseFacilityAreaMapper, BaseFacilityArea> implements BaseFacilityAreaService {
    @Override
    public List<BaseFacilityArea> areaSelect(Integer id) {
        LambdaQueryWrapper<BaseFacilityArea> lambdaQuery = Wrappers.lambdaQuery();
        lambdaQuery.eq(null != id,BaseFacilityArea::getId,id);
        List<BaseFacilityArea> list1 = this.list(lambdaQuery);
        return list1;
    }
}
