package com.usky.iot.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

@Data
public class DmpDeviceExportVO {

    /**
     * 设备名称
     */
    @Excel(name = "设备名称",width = 14)
    private String deviceName;
    /**
     * 产品ID
     */
    private Integer productId;

    /**
     * 设备编号
     */
    @Excel(name = "IMEI",width = 14)
    private String deviceCode;
    /**
     * 物联网卡号
     */
    @Excel(name = "SIM",width = 14)
    private String simCode;

    /**
     * 国际移动用户识别码
     */
    @Excel(name = "IMSI",width = 14)
    private String imsiCode;

    /**
     * 是否自动订阅
     */
    @Excel(name = "是否开启订阅",width = 14)
    private Integer subscribeFlag;

}
