package com.usky.park.service;

import com.usky.park.domain.EgConfig;
import com.usky.common.mybatis.core.CrudService;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 门禁进出统计配置设备表 服务类
 * </p>
 *
 * @author zyj
 * @since 2023-04-26
 */
public interface EgConfigService extends CrudService<EgConfig> {

    /**
     * 数据中心-门禁系统统计进出设备配置保存接口
     *
     * @param egConfig
     * @return
     */
    void updateEgConfig(EgConfig egConfig);

    /**
     * 数据中心-门禁系统统计进出设备配置查询接口
     *
     * @return
     */
    List<EgConfig> getEgConfig();

}
