package com.usky.park.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zyj
 * @since 2023-03-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class AlarmGrVO  implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 告警类型
     */
    private String alarmType;

    /**
     * 告警内容
     */
    private String alarmDesc;

    /**
     * 告警时间
     */
    private String alarmTime;

    /**
     * 告警值
     */
    private BigDecimal alarmValue;

    /**
     * 处理状态（0、未处理 1、已处理）
     */
    private Integer handlingStatus;
}
