package com.usky.park.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zyj
 * @since 2023-03-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DmpDeviceVO  implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 设备ID;设备注册时系统自动生成一个唯一编号
     */
    private String deviceId;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 安装位置
     */
    private String installAddress;

    /**
     * 创建时间
     */
    private String createdTime;

    /**
     * 更新时间
     */
    private String updateTime;

    /**
     * 设备状态（0 离线 1 在线）
     */
    private String deviceStatus;

    /**
     * 门禁门状态（0 初始状态 1 开门状态 2 关门状态 3 离线状态）
     */
    private String doorStatus;

    /**
     * 照明开关状态（0 关闭 1 打开）
     */
    private String switchStatus;

}
